.about {
    margin-top: 30px;
}

.about-video {
    position: relative;
    height: 600px;
}

.about-video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.about-video__overly {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #2525254D;
    backdrop-filter: blur(10px);
    z-index: 1;
}

.about-video__play {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    height: 100px;
    border-radius: 200px;
    background-color: rgba(255, 255, 255, 0.201);
    z-index: 2;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-video__text {
    position: absolute;
    top: 50px;
    z-index: 2;
    width: 380px;
}

.about-video.active .about-video__play,
.about-video.active .about-video__overly,
.about-video.active .about-video__text {
    display: none;
}

@media (max-width: 768px) {
    .about {
        flex-direction: column-reverse;
        gap: 30px;
    }

    .about .about-protex {
        margin-bottom: 0;
    }

    .about-video {
        height: 376px;
    }

    .about-video__play {
        top: 60px;
        transform: translate(-50%, 0) !important;
    }

    .about-video__text {
        top: 190px;
        left: 50%;
        transform: translateX(-50%);
    }

    .about-video__text h2 {
        text-align: center;
        line-height: 42px;
    }

    .we-produce__controls span {
        position: relative;
        left: auto;
        right: 0;
    }
    
    .we-produce__controls {
        position: absolute;
        top: 160px;
        width: fit-content;
        gap: 10px;
        right: 0;
        left: auto;
    }
}

@media (max-width: 576px) {
    .we-produce > p,
    .we-produce__controls {
        display: none;
    }
}